#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Module
%define		pnam	Runtime
%include	/usr/lib/rpm/macros.perl
Summary:	Module::Runtime - runtime module handling
Summary(pl.UTF-8):	Module::Runtime - obsługa modułów w czasie działania
Name:		perl-Module-Runtime
Version:	0.014
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a6597bc25536a30476f0d75b64d35734
URL:		http://search.cpan.org/dist/Module-Runtime/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The functions exported by this module deal with runtime handling of
Perl modules, which are normally handled at compile time.

%description -l pl.UTF-8
Ten moduł eksportuje funkcje pozwalające obsłużyć w czasie działania
programu moduły Perla, które są zwykle obsługiwane w czasie
kompilacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/Runtime.pm
%{_mandir}/man3/Module::Runtime.3pm*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-Runtime.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 88bfba8
- up to 0.014

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 3f64ab0
- updated to 0.013
- pl
- no longer uses Params::Classify

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> bf34634
- new

